Bug 2000833 - Wepack warnings about missing types when running dev build
Summary: Wepack warnings about missing types when running dev build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Rastislav Wagner
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-03 06:44 UTC by Rastislav Wagner
Modified: 2021-10-18 17:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:51:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9983 0 None None None 2021-09-03 06:45:14 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:51:38 UTC

Description Rastislav Wagner 2021-09-03 06:44:13 UTC
The following warnings appear

WARNING in ./public/components/utils/k8s-watch-hook.ts 18:0-227
"export 'ResourcesObject' was not found in '@console/dynamic-plugin-sdk/src/extensions/console-types'

WARNING in ./public/components/utils/k8s-watch-hook.ts 18:0-227
"export 'UseK8sWatchResource' was not found in '@console/dynamic-plugin-sdk/src/extensions/console-types'

WARNING in ./public/components/utils/k8s-watch-hook.ts 18:0-227
"export 'UseK8sWatchResources' was not found in '@console/dynamic-plugin-sdk/src/extensions/console-types'

WARNING in ./public/components/utils/k8s-watch-hook.ts 18:0-227
"export 'WatchK8sResource' was not found in '@console/dynamic-plugin-sdk/src/extensions/console-types'

WARNING in ./public/components/utils/k8s-watch-hook.ts 18:0-227
"export 'WatchK8sResources' was not found in '@console/dynamic-plugin-sdk/src/extensions/console-types'

WARNING in ./public/components/utils/k8s-watch-hook.ts 18:0-227
"export 'WatchK8sResult' was not found in '@console/dynamic-plugin-sdk/src/extensions/console-types'

WARNING in ./public/components/utils/k8s-watch-hook.ts 18:0-227
"export 'WatchK8sResults' was not found in '@console/dynamic-plugin-sdk/src/extensions/console-types'

WARNING in ./public/components/utils/k8s-watch-hook.ts 18:0-227
"export 'WatchK8sResultsObject' was not found in '@console/dynamic-plugin-sdk/src/extensions/console-types'
ℹ 「wdm」: Compiled with warnings.

Steps to Reproduce:
1. run `yarn dev`  on console frontend

Comment 3 Yadan Pei 2021-09-06 03:46:57 UTC
1. clone latest console code and run `yarn dev` in frontend

yapei-mac:frontend yapei$ yarn dev
yarn run v1.22.10
$ yarn clean && yarn generate && REACT_REFRESH=true NODE_OPTIONS=--max-old-space-size=4096 yarn ts-node ./node_modules/.bin/webpack serve --mode=development --progress
$ rm -rf ./public/dist
$ yarn generate-graphql && yarn build-plugin-sdk
$ graphql-codegen --config graphql-codegen.yml
  ✔ Parse configuration
  ✔ Generate outputs
$ yarn --cwd packages/console-dynamic-plugin-sdk build
$ yarn clean && yarn validate && yarn generate && yarn tsc
$ rm -rf ./dist
$ yarn ts-node ./scripts/validate-extensions.ts
$ ts-node -O '{"module":"commonjs"}' ./scripts/validate-extensions.ts
Validating Console extension types
Warnings (41)
    Extension type 'PVCCreateProp' has no JSDoc comments
    Extension type 'PVCStatus' has no JSDoc comments
    Extension type 'PVCAlert' has no JSDoc comments
    Extension type 'PVCDelete' has no JSDoc comments
    Extension type 'AddAction' has no JSDoc comments
    Extension type 'AddActionGroup' has no JSDoc comments
    Extension type 'ClusterGlobalConfig' has no JSDoc comments
    Extension type 'HrefNavItem' has no JSDoc comments
    Extension type 'ResourceNSNavItem' has no JSDoc comments
    Extension type 'ResourceClusterNavItem' has no JSDoc comments
    Extension type 'Separator' has no JSDoc comments
    Extension type 'NavSection' has no JSDoc comments
    Extension type 'FileUpload' has no JSDoc comments
    Extension type 'AlertAction' has no JSDoc comments
    Extension type 'AlertAction' property 'alert' has no JSDoc comments
    Extension type 'AlertAction' property 'text' has no JSDoc comments
    Extension type 'AlertAction' property 'action' has no JSDoc comments
    Extension type 'StorageProvider' has no JSDoc comments
    Extension type 'StorageProvider' property 'name' has no JSDoc comments
    Extension type 'StorageProvider' property 'Component' has no JSDoc comments
    Extension type 'TelemetryListener' has no JSDoc comments
    Extension type 'CatalogItemType' has no JSDoc comments
    Extension type 'CatalogItemProvider' has no JSDoc comments
    Extension type 'CatalogItemFilter' has no JSDoc comments
    Extension type 'PodAdapter' property 'adapt' has no JSDoc comments
    Extension type 'BuildAdapter' property 'adapt' has no JSDoc comments
    Extension type 'NetworkAdapter' property 'adapt' has no JSDoc comments
    Extension type 'TopologyDisplayFilters' property 'getTopologyFilters' has no JSDoc comments
    Extension type 'TopologyDisplayFilters' property 'applyDisplayOptions' has no JSDoc comments
    Extension type 'TopologyDecoratorProvider' property 'id' has no JSDoc comments
    Extension type 'TopologyDecoratorProvider' property 'priority' has no JSDoc comments
    Extension type 'TopologyDecoratorProvider' property 'quadrant' has no JSDoc comments
    Extension type 'TopologyDecoratorProvider' property 'decorator' has no JSDoc comments
    Extension type 'TopologyRelationshipProvider' property 'provides' has no JSDoc comments
    Extension type 'TopologyRelationshipProvider' property 'tooltip' has no JSDoc comments
    Extension type 'TopologyRelationshipProvider' property 'create' has no JSDoc comments
    Extension type 'TopologyRelationshipProvider' property 'priority' has no JSDoc comments
    Extension type 'CreateResource' has no JSDoc comments
    Extension type 'UserPreferenceGroup' has no JSDoc comments
    Extension type 'UserPreferenceItem' has no JSDoc comments
    Extension type 'Perspective' has no JSDoc comments
$ yarn generate-schema && yarn generate-doc && yarn generate-pkg-assets
$ yarn ts-node ./scripts/generate-schema.ts
$ ts-node -O '{"module":"commonjs"}' ./scripts/generate-schema.ts
Generating Console plugin JSON schemas
schema/plugin-package.json
schema/plugin-package.js
schema/console-extensions.json
schema/console-extensions.js
schema/plugin-manifest.json
schema/plugin-manifest.js
$ yarn ts-node ./scripts/generate-doc.ts
$ ts-node -O '{"module":"commonjs"}' ./scripts/generate-doc.ts
Generating Console plugin documentation
dist/doc/console-extensions.md
$ yarn ts-node ./scripts/generate-pkg-assets.ts
$ ts-node -O '{"module":"commonjs"}' ./scripts/generate-pkg-assets.ts
Generating Console plugin package.json
dist/package.json
Copying schema, license, and readme files
$ /Users/yapei/go/src/github.com/openshift/console/frontend/node_modules/.bin/tsc
$ ts-node -O '{"module":"commonjs"}' ./node_modules/.bin/webpack serve --mode=development --progress
⚠ 「wds」: transportMode is an experimental option, meaning its usage could potentially change without warning
Starting type checking service...
10% building 2/2 modules 0 activeℹ 「wds」: Project is running at http://localhost:8080/
ℹ 「wds」: webpack output is served from static/
50% building 334/381 modules 47 active ...le/frontend/packages/console-shared/src/selectors/common.tspostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
modules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
67% building 741/778 modules 37 active ...s/@patternfly/react-styles/css/components/Select/select.csspostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
67% building 741/779 modules 38 active ...ly/react-styles/css/components/FormControl/form-control.cssmodules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
67% building 741/780 modules 39 active ...dules/@patternfly/react-styles/css/components/Tile/tile.csspostcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 5845/5886 modules 41 active ...tandalone/browser/accessibilityHelp/accessibilityHelp.csspostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
modules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 7936/7958 modules 22 active ...odules/subscriptions-transport-ws/dist/utils/is-string.jspostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 7940/7959 modules 19 active .../console/frontend/node_modules/lodash-es/_countHolders.jsmodules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 7943/7960 modules 17 active ...enshift/console/frontend/public/components/utils/types.tspostcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 7949/7963 modules 14 active ...onsole-app/src/components/nodes/node-dashboard/queries.tspostcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 7950/7965 modules 15 active ...c/components/cloud-shell/setup/cloud-shell-setup-utils.tscss-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 8394/8418 modules 24 active ...e-shared/src/components/formik-fields/RadioGroupField.tsxpostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
modules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 8502/8538 modules 36 active ...ackages/kubevirt-plugin/src/constants/vm/network/index.tspostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
modules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 8572/8603 modules 31 active ...kubevirt-plugin/src/topology/TopologyVmResourcesPanel.tsxpostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
modules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 12166/12183 modules 17 active ...ly/react-tokens/dist/esm/c_nav__link_xl_PaddingRight.jspostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
modules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 14796/14837 modules 41 active ...frontend/packages/knative-plugin/src/providers/index.tspostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
modules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 14962/15001 modules 39 active ...kages/knative-plugin/src/imgs/logos/containersource.svgpostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 14963/15001 modules 38 active ...kages/knative-plugin/src/imgs/logos/containersource.svgmodules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 15030/15064 modules 34 active ...m-plugin/src/topology/TopologyHelmReleaseNotesPanel.tsxpostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 15031/15064 modules 33 active ...m-plugin/src/topology/TopologyHelmReleaseNotesPanel.tsxmodules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 15503/15530 modules 27 active ...nts/dashboards/persistent-internal/status-card/utils.tspostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
modules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 15504/15530 modules 26 active ...nts/dashboards/persistent-internal/status-card/utils.tscss-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 15660/15694 modules 34 active ...ole/node_modules/xterm-addon-fit/lib/xterm-addon-fit.jspostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
modules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 16042/16060 modules 18 active ...loyment-strategy/advanced-options/LifecycleHookForm.tsxpostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
modules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 16287/16318 modules 31 active .../src/components/create-storage-system/use-fetch-csv.tsxpostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
modules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
69% building 17001/17046 modules 45 active ...rc/components/modals/disk-modal/disk-modal-enhanced.tsxpostcss-modules-local-by-default: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
modules-extract-imports: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-scope: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
postcss-modules-values: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
css-loader-parser: postcss.plugin was deprecated. Migration guide:
https://evilmartians.com/chronicles/postcss-8-plugin-migration
Type checking in progress...
ℹ 「wdm」:    17932 modules
ℹ 「wdm」: Compiled successfully.
No type errors found
Version: typescript 3.8.3
Time: 298424 ms


didn't see the WARNINGs in description
Moving to VERIFIED

Comment 6 errata-xmlrpc 2021-10-18 17:51:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.